Ubuntu

[jaunty] The binary package is not using python2.6

Reported by Juanje Ojeda on 2009-04-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Guadalinex
High
Juanje Ojeda
python-syck (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: python-syck

The binary package from the repositories provide the module for python2.4 and python2.5 but not for python2.6 (which is the one is used by default in Jaunty).

The package version:
ii python-syck 0.61.2-1 PySyck python bindings to the Syck YAML parser kit

Here is the output of the command 'dpkg -L', to show the files installed from the package:
http://pastebin.ubuntu.com/159264/

The package is the last from the repositories and the system is updated to the last version (the Jaunty release)

The thing is the package source is right and if you rebuild the package in a Jaunty box you'll have a binary package with modules for python2.5 and python2.6. So my guess is the last time this package was built was before the python2.6 migration on Jaunty.

The problem with this bug is that all the scripts and applications which are using python-syck will crash because the lack of this module for python2.6.

And the solution is just to force the rebuild of this package and updaload it to the repos.

Related branches

Juanje Ojeda (juanje) on 2009-04-27
Changed in python-syck (Ubuntu):
status: New → Confirmed
Changed in guadalinex:
assignee: nobody → Juanje Ojeda (juanje)
importance: Undecided → High
milestone: none → beta
status: New → Triaged
Daniel Holbach (dholbach) wrote :

Subscribing ubuntu-universe-sponsors instead.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-syck - 0.61.2-1build1

---------------
python-syck (0.61.2-1build1) karmic; urgency=low

  * Rebuild against python2.6. Thanks a lot Juanje Ojeda. (LP: #367869)

 -- Daniel Holbach <email address hidden> Tue, 28 Apr 2009 08:05:05 +0200

Changed in python-syck (Ubuntu):
status: Confirmed → Fix Released
Juanje Ojeda (juanje) wrote :

Sorry for the wrong Ubuntu Spansors subscriber :-/
Thank Daniel for the fix :-)

Changed in guadalinex:
status: Triaged → Fix Released
Peter Davies (ultratwo) wrote :

This bug is not fixed in jaunty.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers